WIPEFS(8)

BEZEICHNUNG
wipefs - eine Signatur von einem Gerät löschen

ÜBERSICHT

wipefs [Optionen] Gerät...

wipefs [--backup] -o Versatz Gerät...

wipefs [--backup] -a Gerät...

BESCHREIBUNG

wipefs kann die Signaturen von Dateisystemen, RAID oder Partitionstabellen (Magic Strings) vom angegebenen Gerät löschen, um diese für libblkid unsichtbar zu machen. wipefs löscht nicht das Dateisystem selbst oder irgendwelche andere Daten von dem Gerät.

Werden keine Optionen verwendet, wird wipefs alle sichtbaren Dateisysteme und deren Versatz auf der Basis grundlegender Signaturen auflisten. Die Vorgabeausgabe kann sich ändern. Daher sollten Sie wann immer möglich vermeiden, die Vorgabeausgabe in Skripten zu verwenden. Definieren Sie in Umgebungen, in denen eine stabile Ausgabe benötigt wird, immer explizit die Spalten mittels --output Spaltenliste.

wipefs ruft das BLKRRPART-Ioctl nach dem Löschen einer Partitionstabelle auf, um den Kernel über die Änderung zu informieren. Der Ioctl wird zuletzt aufgerufen und wenn alle angegebenen Signaturen von allen angegebenen Geräten bereits gelöscht sind. Mit dieser Funktion können sowohl Inhalte von Partitionen als auch Partitionstabellen auf Plattenlaufwerken gelöscht werden, zum Beispiel mit wipefs -a /dev/sdc1 /dev/sdc2 /dev/sdc.

Beachten Sie, dass einige Dateisysteme und einige Partitionstabellen (z.B. FAT, ZFS, GPT) mehr magische Zeichenketten auf dem Gerät speichern. Der Befehl wipefs listet (seit v2.31) alle Versätze auf, an denen magische Zeichenketten erkannt wurden.

Mit der Option -a werden alle für libblkid(3) sichtbaren Magic Strings gelöscht. In diesem Fall durchsucht wipefs das Gerät erneut nach einer Änderung (Löschen), bis kein Magic String gefunden wird.

Beachten Sie, dass wipefs keine verschachtelten Partitionstabellen auf Geräteteilen löscht. Die Option --force wird dazu benötigt.

OPTIONEN

-a, --all
    löscht alle verfügbaren Signaturen. Die Menge der gelöschten Signaturen kann mit der Option -t eingeschränkt werden. Bei Ausführung auf einem partitionierten Volldatenträger wie /dev/sdX werden nur die Partitionstabellen gelöscht, nicht der Inhalt der Partitionen.

-b, --backup[=Verzeichnis]
    erstellt eine Sicherung der Signatur in der Datei wipefs-<Gerätename>-<Versatz>.bak in $HOME oder dem optional als Argument übergebenen Verzeichnis. Weitere Details finden Sie im Abschnitt BEISPIELE.

-f, --force
    Force erasure, even if the filesystem is mounted. This is also required in order to erase a nested partition-table signature on a non-whole disk device.

-J, --json
    verwendet das JSON-Ausgabeformat.

--lock[=Modus]
    verwendet eine exklusive BSD-Sperre für das Gerät oder die Datei, auf dem/der es agiert. Das optionale Argument Modus kann yes, no (oder 1 und 0) oder nonblock sein. Falls das Argument Modus weggelassen wird, wird standardmäßig yes angenommen. Diese Option setzt die Umgebungsvariable $LOCK_BLOCK_DEVICE außer Kraft. Standardmäßig wird überhaupt keine Sperre gesetzt, dies wird aber empfohlen, um Kollisionen mit systemd-udevd(8) oder anderen Werkzeugen zu vermeiden.

-i, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-O, --output Liste
    gibt die anzuzeigenden Spalten an. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

-n, --no-act
    sorgt dafür, dass alles erledigt wird, bis auf den endgültigen Aufruf von write(2).

-o, --offset Versatz
    gibt den Ort der Signatur (in Bytes) an, die vom Gerät gelöscht werden soll. Die Zahl für Versatz kann ein Präfix »0x« enthalten, so dass die Zahl als Hexadezimalwert interpretiert iwrd. Es ist möglich, die Option -o mehrmals anzugeben.

    Dem Argument Größe kann eines der multiplikativen Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB, EiB, ZiB und YiB folgen (das »iB« ist optional, zum Beispiel ist »K« gleichbedeutend mit »KiB«) oder die Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB, TB, PB, EB, ZB und YB folgen.

-p, --parsable
    veranlasst die Ausgabe in einem auswertbaren anstatt menschenlesbaren Format. Alle potenziell unsicheren Zeichen einer Zeichenkette werden in den korrespondierenden Hexadezimalwert umgewandelt, indem das Präfix »\x« vorangestellt wird.

-q, --quiet
    unterdrückt die Ausgabe vom Meldungen nach dem erfolgreichen Löschen der Signatur.

-t, --types Liste
    grenzt die ausgegebenen oder zu löschenden Signaturen ein. Es können in einer durch Kommata getrennten Liste mehrere Typen angegeben werden. Der Liste oder den angegebenen Typen kann ein »no« vorangestellt werden, um die Typen anzugeben, für die keine Aktion ausgeführt werden soll. Weitere Details finden Sie in mount(8).

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

UMGEBUNGSVARIABLEN

LIBBLKID_DEBUG=all
    aktiviert die Fehlersuch-Ausgabe von libblkid(3)

LOCK_BLOCK_DEVICE=<Modus>
    verwendet eine exklusive BSD-Sperre. Der Modus ist »1« oder »0«. Siehe --lock für weitere Details.

LIBSMARTCOLS_DEBUG=all
    aktiviert die Debug-Ausgabe für libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    verwendet sichtbare Auffüllzeichen.

BEISPIELE

wipefs /dev/sda*
    gibt Informationen über sda und alle Partitionen auf sda aus.

wipefs --all --backup /dev/sdb
    löscht alle Signaturen vom Gerät /dev/sdb und erstellt eine Sicherungsdatei ~/wipefs-sdb-<Versatz>.bak für jede Signatur.

dd if=~/wipefs-sdb-0x00000438.bak of=/dev/sdb seek=$((0x00000438)) bs=1 conv=notrunc
    stellt die ext2-Signatur aus der Sicherungsdatei ~/wipefs-sdb-0x00000438.bak wieder her.

AUTOREN

SIEHE AUCH

blkid(8), findfs(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl wipefs ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.